## org.gjt.mm.mysql
Class Driver

    java.lang.Object
      com.mysql.jdbc.NonRegisteringDriver
          com.mysql.jdbc.Driver
              org.gjt.mm.mysql.Driver

All Implemented Interfaces:
  java.sql.Driver

    public class Driver

extends Driver

Here for backwards compatibility with MM.MySQL

Field Summary

Fields inherited from class com.mysql.jdbc.NonRegisteringDriver
`connectionPhantomRefs, DBNAME_PROPERTY_KEY, DEBUG, HOST_NAME_INDEX, HOST_PROPERTY_KEY, LICENSE, NAME, NUM_HOSTS_PROPERTY_KEY, OS, PASSWORD_PROPERTY_KEY, PATH_PROPERTY_KEY, PLATFORM, PORT_NUMBER_INDEX, PORT_PROPERTY_KEY, PROPERTIES_TRANSFORM_KEY, PROTOCOL_PROPERTY_KEY, refQueue, RUNTIME_VENDOR, RUNTIME_VERSION, TRACE, USE_CONFIG_PROPERTY_KEY, USER_PROPERTY_KEY, VERSION`

Constructor Summary
`Driver()` Creates a new instance of Driver

Method Summary

Methods inherited from class com.mysql.jdbc.NonRegisteringDriver
`acceptsURL, connect, connectReplicationConnection, database, expandHostKeyValues, getMajorVersion, getMinorVersion, getOSName, getPlatform, getPropertyInfo, host, isHostPropertiesList, jdbcCompliant, parseHostPortPair, parseURL, port, property, trackConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.sql.Driver
`acceptsURL, connect, getMajorVersion, getMinorVersion, getPropertyInfo, jdbcCompliant`

Constructor Detail

### Driver

    public Driver()
           throws java.sql.SQLException

  Creates a new instance of Driver

  Throws:
    `java.sql.SQLException` - if a database error occurs.